from typing import List

from numpy.typing import ArrayLike
from sensors.gps import GPS
from spatz.dataset import ArrayLike, Dataset
from spatz.logger import ArrayLike, Logger
from spatz.transforms import Transform


class Erinome_I(GPS):
    def __init__(self, dataset: Dataset, logger: Logger, transforms: List[Transform] = []):
        super().__init__(dataset, logger, transforms)

    def _sensor_specific_effects(self, x: ArrayLike) -> ArrayLike:
        # TODO: What's the GPS module's behavior?

        # TODO: Only return measurements every second

        return x